Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/configuration.cfg	(revision 111)
@@ -23,5 +23,6 @@
 1	1	+1	# commit_priority                          
 1	1	+1	# commit_load_balancing                    
-1	1	+1	# size_issue_queue                         
+1	1	+1	# size_issue_queue
+0	1	+1	# issue_queue_scheme
 1	1	+1	# nb_issue_queue_bank                      
 1	1	+1	# issue_priority                           
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp	(revision 110)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/SelfTest/src/main.cpp	(revision 111)
@@ -9,5 +9,5 @@
 #include "Behavioural/include/Allocation.h"
 
-#define NB_PARAMS 23
+#define NB_PARAMS 24
 
 void usage (int argc, char * argv[])
@@ -15,33 +15,34 @@
   err (_("<Usage> %s name_instance list_params.\n"),argv[0]);
   err (_("list_params is :\n"));
-  err (_(" * nb_front_end                                                            (uint32_t         )\n"));
-  err (_(" * nb_context                        [nb_front_end]                        (uint32_t         )\n"));
-  err (_(" * nb_rename_unit                                                          (uint32_t         )\n"));
-  err (_(" * nb_execute_loop                                                         (uint32_t         )\n"));
-  err (_(" * nb_inst_decod                     [nb_front_end]                        (uint32_t         )\n"));
-  err (_(" * nb_inst_insert                    [nb_rename_unit]                      (uint32_t         )\n"));
-  err (_(" * nb_inst_retire                    [nb_rename_unit]                      (uint32_t         )\n"));
-  err (_(" * nb_inst_issue                                                           (uint32_t         )\n"));
-  err (_(" * nb_inst_execute                   [nb_execute_loop]                     (uint32_t         )\n"));
-  err (_(" * nb_inst_reexecute                                                       (uint32_t         )\n"));
-  err (_(" * nb_inst_commit                                                          (uint32_t         )\n"));
-  err (_(" * nb_inst_branch_complete                                                 (uint32_t         )\n"));
-  err (_(" * nb_branch_speculated              [nb_front_end][nb_context]            (uint32_t         )\n"));
-  err (_(" * size_nb_inst_decod                                                      (uint32_t         )\n"));
-  err (_(" * nb_rename_unit_select                                                   (uint32_t         )\n"));
-  err (_(" * nb_execute_loop_select                                                  (uint32_t         )\n"));
-  err (_(" * size_general_data                                                       (uint32_t         )\n"));
-  err (_(" * size_special_data                                                       (uint32_t         )\n"));
-  err (_(" * link_rename_unit_with_front_end   [nb_front_end]                        (uint32_t         )\n"));
-  err (_(" * size_re_order_buffer                                                    (uint32_t         )\n"));
-  err (_(" * nb_re_order_buffer_bank                                                 (uint32_t         )\n"));
-  err (_(" * commit_priority                                                         (Tpriority_t      )\n"));
-  err (_(" * commit_load_balancing                                                   (Tload_balancing_t)\n"));
-  err (_(" * size_issue_queue                                                        (uint32_t         )\n"));
-  err (_(" * nb_issue_queue_bank                                                     (uint32_t         )\n"));
-  err (_(" * issue_priority                                                          (Tpriority_t      )\n"));
-  err (_(" * issue_load_balancing                                                    (Tload_balancing_t)\n"));
-  err (_(" * table_routing                     [nb_rename_unit][nb_inst_issue]       (bool             )\n"));
-  err (_(" * table_issue_type                  [nb_inst_issue][nb_type]              (bool             )\n"));
+  err (_(" * nb_front_end                                                            (uint32_t             )\n"));
+  err (_(" * nb_context                        [nb_front_end]                        (uint32_t             )\n"));
+  err (_(" * nb_rename_unit                                                          (uint32_t             )\n"));
+  err (_(" * nb_execute_loop                                                         (uint32_t             )\n"));
+  err (_(" * nb_inst_decod                     [nb_front_end]                        (uint32_t             )\n"));
+  err (_(" * nb_inst_insert                    [nb_rename_unit]                      (uint32_t             )\n"));
+  err (_(" * nb_inst_retire                    [nb_rename_unit]                      (uint32_t             )\n"));
+  err (_(" * nb_inst_issue                                                           (uint32_t             )\n"));
+  err (_(" * nb_inst_execute                   [nb_execute_loop]                     (uint32_t             )\n"));
+  err (_(" * nb_inst_reexecute                                                       (uint32_t             )\n"));
+  err (_(" * nb_inst_commit                                                          (uint32_t             )\n"));
+  err (_(" * nb_inst_branch_complete                                                 (uint32_t             )\n"));
+  err (_(" * nb_branch_speculated              [nb_front_end][nb_context]            (uint32_t             )\n"));
+  err (_(" * size_nb_inst_decod                                                      (uint32_t             )\n"));
+  err (_(" * nb_rename_unit_select                                                   (uint32_t             )\n"));
+  err (_(" * nb_execute_loop_select                                                  (uint32_t             )\n"));
+  err (_(" * size_general_data                                                       (uint32_t             )\n"));
+  err (_(" * size_special_data                                                       (uint32_t             )\n"));
+  err (_(" * link_rename_unit_with_front_end   [nb_front_end]                        (uint32_t             )\n"));
+  err (_(" * size_re_order_buffer                                                    (uint32_t             )\n"));
+  err (_(" * nb_re_order_buffer_bank                                                 (uint32_t             )\n"));
+  err (_(" * commit_priority                                                         (Tpriority_t          )\n"));
+  err (_(" * commit_load_balancing                                                   (Tload_balancing_t    )\n"));
+  err (_(" * size_issue_queue                                                        (uint32_t             )\n"));
+  err (_(" * issue_queue_scheme                                                      (Tissue_queue_scheme_t)\n"));
+  err (_(" * nb_issue_queue_bank                                                     (uint32_t             )\n"));
+  err (_(" * issue_priority                                                          (Tpriority_t          )\n"));
+  err (_(" * issue_load_balancing                                                    (Tload_balancing_t    )\n"));
+  err (_(" * table_routing                     [nb_rename_unit][nb_inst_issue]       (bool                 )\n"));
+  err (_(" * table_issue_type                  [nb_inst_issue][nb_type]              (bool                 )\n"));
   err (_("   * TYPE_ALU    \n"));
   err (_("   * TYPE_SHIFT  \n"));
@@ -146,4 +147,6 @@
   Tload_balancing_t     _commit_load_balancing             = fromString<Tload_balancing_t>(argv[x++]);
   uint32_t              _size_issue_queue                  = fromString<uint32_t         >(argv[x++]);
+  issue_queue::Tissue_queue_scheme_t 
+                        _issue_queue_scheme                = fromString<issue_queue::Tissue_queue_scheme_t>(argv[x++]);
   uint32_t              _nb_issue_queue_bank               = fromString<uint32_t         >(argv[x++]);
   Tpriority_t           _issue_priority                    = fromString<Tpriority_t      >(argv[x++]);
@@ -308,4 +311,5 @@
          _commit_load_balancing            ,
          _size_issue_queue                 ,
+         _issue_queue_scheme               ,
          _nb_issue_queue_bank              ,
          _issue_priority                   ,
